﻿@{
    ViewBag.Title = "Index";

    List<CMSUser> UserList = ViewBag.AdminList;
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Receipt</h3>
    </div>
    <!-- Page Stats -->
    <ul class="page-stats">
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm("Index", "Receipt", FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formSearchReceipt" }))
                {
                    @Html.AntiForgeryToken()
                <div class="form-horizontal row-border">
                    <div class="form-group">
                        <label class="col-md-3 control-label">Member </label>
                        <div class="col-md-6">
                            <select class="form-control" id="memberIDHidden" name="memberIDHidden">
                                <option value="" selected></option>
                                @foreach (var user in UserList)
                                {
                                    <option value="@user.ID">@user.Username</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-horizontal row-border">
                    <div class="form-group">
                        <label class="col-md-3 control-label">Tgl Awal  </label>
                        <div class="col-md-6">
                            @Html.TextBox("hiddenAwal", "", new { @class = "form-control datepicker2" })
                        </div>
                    </div>
                </div>
                <div class="form-horizontal row-border">
                    <div class="form-group">
                        <label class="col-md-3 control-label">Tgl Akhir   </label>
                        <div class="col-md-6">
                            @Html.TextBox("hiddenAkhir", "", new { @class = "form-control datepicker2" })
                        </div>
                    </div>
                </div>
                <div class="form-actions">
                    <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting">
                </div>
                }
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div id="gridGetAllReceiptPager" class="widget">
            @Html.Action("GridGetAllReceiptPager", new { page = 1 })
        </div>
        <!-- .box -->
    </div>
</div>

@section FooterScript{
    <script>
        $(document).ready(function () {
            var gridName = 'AllReceipt';
            var pagingUrl = '@Url.Action(MVC.ReceiptApprovalReporting.GridGetAllReceiptPager())';

            //$('.grid-mvc').gridmvc();
            //pageGrids[gridName].ajaxify({
            //    getData: pagingUrl,
            //    getPagedData: pagingUrl,
            //    gridFilterForm: $('#gridSeachReceipt'),
            //    onAjaxComplete: function () { }
            //});

            $('#search-button-reporting').click(function () {
                // alert('aaa')

                //var awal = $('#tglAwal').val();
                //var akhir = $('#tglAkhir').val();
                //var MemberID = $('#MemberID').val();
                //var status = $('#Status').val();
                //var channel = $('#Channel').val();
                //$('#hiddenAwal').val(awal);
                //$('#hiddenAkhir').val(akhir);
                //$('#memberIDHidden').val(MemberID)
                //$('#statusHidden').val(status);
                //$('#channelHidden').val(channel);
                //$('#hidden-search-form').click();
                console.log($('#formSearchReceipt').serialize())
            });

            $('#download-button-reporting').click(function () {
                setTimeout(function () { HideLoader(); }, 3000);
            });

            $(".datepicker2").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });

            function LoadGridFunctions() {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $('div#gridGetAllReceiptPager.widget').html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridFunctions();
                            }
                        })
                    }
                }

                $('div.grid-header-title > a, .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                @*$('form[name=gridForm]').on('submit', function (e) {
                    e.preventDefault();
                    //e.stopPropagation();
                    var formArray = $('#formSearchReceipt').serializeArray();
                    formArray.push({ name: 'txtSearch', value: $('input[name=txtSearch]').val() });
                    LoadData('@Url.Action(MVC.Receipt.GridGetAllReceiptPager())?' + serializeArrayToQuery(formArray));
                })*@

                $('#search-button-reporting').off('click')
                $('#search-button-reporting').on('click', function () {
                    //var dataUrl = '@Url.Action(MVC.ReceiptApprovalReporting.GridGetAllReceiptPager())?' + $('#formSearchReceipt').serialize();
                    var formArray = $('#formSearchReceipt').serializeArray();
                    //formArray.push({ name: 'txtSearch', value: $('input[name=txtSearch]').val() });
                    LoadData('@Url.Action(MVC.ReceiptApprovalReporting.GridGetAllReceiptPager())?' + serializeArrayToQuery(formArray));
                });
            }
            LoadGridFunctions();

            function LoadGridMemberFunctions() {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $('div#memberModal .modal-body').html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridMemberFunctions();
                            }
                        })
                    }
                }

                $('#grid-select-member div.grid-header-title > a, #grid-select-member .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                $('form[name=grid-select-member-form]').on('submit', function (e) {
                    e.preventDefault();
                    //e.stopPropagation();
                    HideLoader();
                    var dataUrl = decodeURIComponent($(this).find('[type=hidden][name=rawDataUrl]').val()).replace('@@search@@', $(this).find('[type=text][name=txtSearch]').val());
                    LoadData(dataUrl);
                })
            }
            LoadGridMemberFunctions();
        })

        function serializeArrayToQuery(objArr) {
            if (Array.isArray(objArr)) {
                var strArr = [];
                for (var i = 0; i < objArr.length; i++) {
                    var item = objArr[i];
                    strArr.push(item.name + '=' + item.value)
                }
                return strArr.join('&');
            }
            return null;
        }
    </script>
}